org.eclipse.viatra.query.patternlanguage.emf.services

## Class EMFPatternLanguageGrammarAccess.PatternImportElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.emf.services.EMFPatternLanguageGrammarAccess.PatternImportElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess
  Enclosing class:
    EMFPatternLanguageGrammarAccess

      public class EMFPatternLanguageGrammarAccess.PatternImportElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternImportElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Group` | `getGroup()`
    `org.eclipse.xtext.Keyword` | `getImportKeyword_0()`
    `org.eclipse.xtext.Assignment` | `getPatternAssignment_2()`
    `org.eclipse.xtext.Keyword` | `getPatternKeyword_1()`
    `org.eclipse.xtext.CrossReference` | `getPatternPatternCrossReference_2_0()`
    `org.eclipse.xtext.RuleCall` | `getPatternPatternQualifiedNameParserRuleCall_2_0_1()`
    `org.eclipse.xtext.ParserRule` | `getRule()`
    `org.eclipse.xtext.Keyword` | `getSemicolonKeyword_3()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternImportElements

          public PatternImportElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getImportKeyword_0

          public org.eclipse.xtext.Keyword getImportKeyword_0()

    - #### getPatternKeyword_1

          public org.eclipse.xtext.Keyword getPatternKeyword_1()

    - #### getPatternAssignment_2

          public org.eclipse.xtext.Assignment getPatternAssignment_2()

    - #### getPatternPatternCrossReference_2_0

          public org.eclipse.xtext.CrossReference getPatternPatternCrossReference_2_0()

    - #### getPatternPatternQualifiedNameParserRuleCall_2_0_1

          public org.eclipse.xtext.RuleCall getPatternPatternQualifiedNameParserRuleCall_2_0_1()

    - #### getSemicolonKeyword_3

          public org.eclipse.xtext.Keyword getSemicolonKeyword_3()